#!/bin/bash

DATE=`date +%m%d%Y`


ROOT=`pwd`/
E_ROOT=$ROOT/e17

OPT=-j2
CFLAGS="-g"

# Source function library.
. /etc/rc.d/init.d/functions

RPMDIR=$1
PREFIX=/usr/local/enlightenment
#PREFIX=/usr/local/enlightenment
#ARCH="setarch ppc"
export LD_LIBRARY_PATH=$PREFIX/lib:$RPMDIR/$PREFIX/lib:$LD_LIBRARY_PATH
export PATH=$PREFIX/bin/:$RPMDIR/$PREFIX/bin:$PATH

echo "$PATH"
echo "PATH: $PATH"
echo "LD_LIBRARY_PATH: $LD_LIBRARY_PATH"
echo "PREFIX: $PREFIX"
echo "RPMDIR: $RPMDIR"

#To give me a nice little sign
compile() {

	#Clean all compilation
	if [ "$ARGV" = "clean" ]; then
	        echo "Removing compiled files"
#		$ARCH make clean > /dev/null 2>&1 ;
		$ARCH make clean 2>&1 ;
	else

		echo -n "Compile : "
	
		PATH=$PREFIX/bin:$PATH
#		if [ -a Makefile ]; then
#			if $ARCH make $OPT > /dev/null  2>&1 &&
#			   $ARCH make install > /dev/null 2>&1; then
#			if $ARCH make $OPT 2>&1 &&
#			   $ARCH make install 2>&1; then
#				echo_passed
#			else 
#				echo_failure
#				exit 0
#			fi
#			echo ""
#		else 
			export NOCONFIGURE=1
#			if $ARCH ./autogen.sh > /dev/null 2>&1  &&
#			   $ARCH ./configure --prefix=$PREFIX $X_ARGS CFLAGS="$CFLAGS" > /dev/null 2>&1 &&
#			   $ARCH make $OPT > /dev/null  2>&1 &&
#			   $ARCH make install > /dev/null 2>&1; then
			echo "Building from scratch!"
			echo "PATH: $PATH"
#			   $ARCH ./configure --prefix=$PREFIX --includedir=$RPMDIR/$PREFIX/include --libdir=$RPMDIR/$PREFIX/lib $X_ARGS CFLAGS="$CFLAGS" 2>&1 &&
			if $ARCH ./autogen.sh 2>&1  &&
			   $ARCH ./configure --prefix=$PREFIX $X_ARGS CFLAGS="$CFLAGS" --disable-favorites --disable-files 2>&1 &&
			   $ARCH make $OPT  2>&1 &&
			   $ARCH make install 2>&1; then
				 echo_success
			else
				make distclean > /dev/null 2>&1
				rm -f Makefile 2> /dev/null 2>&1
				echo_failure
				exit 1
			fi
			echo ""
			unset NOCONFIGURE
		fi
#	fi
}

#Get from CVS
getcvs() {
	echo -n "cvs $PROG : "
#	if cvs -Q -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co $PROG  ;
	if cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co $PROG  ;
then
                echo_success
        else
		if [ -d $ROOT/$PROG ]; then
			echo_passed
		else
			echo_failure
			exit 0
		fi
        fi
        echo ""
}
#RPM stuff
rpm() {
	if [ "$ARGV" != "clean" ]; then
		echo "RPMSs are : $RPMS" ;
#		$ARCH yum -y --exclude=\*.ppc64 install $RPMS > /dev/null 2>&1 ;
	fi
}
#Put stuff together
run() {
	echo "---- $PROG ----"
#	getcvs
	cd $ROOT/$PROG
	compile
	cd $ROOT
}


# Clean up all the compilation stuff
if [ "$1" = "distclean" ]; then
	rm -Rf  e17  e_modules eterm ;
else
	ARGV=$1 ;
#Compile all this stuff
	echo "Installing in $PREFIX"

	echo "---- Set Initial RPMs ----"
        RPMS="libtool-ltdl gettext libtool-ltdl-devel yum setarch which cvs gettext-devel wget"
	rpm

	echo "---- Core Libs ----"
#eet
	PROG=e17/libs/eet
	run 
#edb
	PROG=e17/libs/edb
	#Depents on ncurses and gtk+
		RPMS="ncurses-devel gtk+-devel"
		rpm
	X_ARGS="--enable-gtk --enable-ncurses"
	run
	unset X_ARGS
#evas
	PROG=e17/libs/evas
	#Depends on freetype libtiff-devel libpng-devel freeglut-devel giflib-devel eet edb
		RPMS="libX11-devel freetype-devel libpng-devel libtiff-devel freeglut-devel giflib-devel"
		rpm
	X_ARGS="--enable-gl-x11 --enable-scale-smooth --with-x --enable-cpu-altivec --disable-fb"
	run
	unset X_ARGS
#ecore
	PROG=e17/libs/ecore
	#Depends on libX11-devel curl curl-devel openssl eet evas
		RPMS="libX11-devel curl-devel curl openssl-devel"
		rpm
	X_ARGS="--with-x"
	run
	unset X_ARGS
#embryo
	PROG=e17/libs/embryo
	run
#edje
	PROG=e17/libs/edje
	#Depends on vim-enhanced eet evas ecore embryo
		RPMS="vim-enhanced"
		rpm
	run
#done with Core libs
echo "---- Everything else ----"
#Emotion
	PROG=e17/libs/emotion
	#Depends on gstreamer-devel gstreamer-plugins-base-devel gstreamer-plugins-good-devel eet evas edje ecore embryo
		RPMS="gstreamer-devel gstreamer-plugins-base-devel gstreamer-plugins-good-devel"
		rpm
	X_ARGS="--disable-xine"
	run

#Epeg
	PROG=e17/libs/epeg
	run
#Ewl
	PROG=e17/libs/ewl
	run 

#Imlib2
	PROG=e17/libs/imlib2
	run

#Imlib_tools
	PROG=e17/apps/imlib2_tools
	X_ARGS="--with-x --with-imlib2=$PREFIX"
	run
	unset X_ARGS

#Epsilon
	PROG=e17/libs/epsilon
	run

#Esmart
	PROG=e17/libs/esmart
		RPMS="perl"
		rpm
	X_ARGS="--with-imlib2-prefix=$PREFIX"
	run
	unset X_ARGS

#Engrave
	PROG=e17/libs/engrave
	run

#E
	PROG=e17/apps/e
	#Depends on gnome-terminal evas ecore edje eet embryo edje
		RPMS="gnome-terminal gimp xmms"
		rpm
	X_ARGS="--with-profile=FAST_PC"
	run
	unset X_ARGS

#Entrance
	PROG=e17/apps/entrance
	X_ARGS="--with-x --with-xsession=/etc/X11/xinit/Xsession"
	echo "Entrance needs `make install` to be run as root"
#	run
	unset X_ARGS

#E_utils
	PROG=e17/apps/e_utils
	run

#Exml
	PROG=e17/libs/exml
	run

#E_modules
		RPMS="libxkbui-devel"
		rpm
	PROG=e_modules
	run
	PROG=e_modules/devian
#	run
	PROG=e_modules/bling
#	run
	PROG=e_modules/cpu
#	run
	PROG=e_modules/mem
#	run
	PROG=e_modules/net
#	run

#Engage
#	PROG=misc/engage
#	run
#Etk
	PROG=e17/proto/etk
	run

#Exhibit
	PROG=e17/proto/exhibit
	run

#libast
	#Needs to be placed in /usr/local/bin
#	PROG=eterm/libast
#	run

#Eterm
#	PROG=eterm/Eterm
#	run

fi
unset PREFIX
