%define BUILD 20061121
%define REV 2

Summary: The Enlightenment window manager
Name: enlightenment
Version: 0.17
Release: %{BUILD}.ydl.%{REV}
License: BSD
Group: User Interface/Desktops
URL: http://www.enlightenment.org/
Patch0: e17-default-bar-modules.ydl.patch
Patch1: e17-default-about-message.ydl.patch
Patch2: e17-default-system-menu.ydl.patch
Source: e17_%{BUILD}.tar.gz
Source1: e17.sh
Source2: enlightenment
Packager: Timothy Renner <trenner@terrasoftsolutions.com>

BuildRequires: libtool-ltdl gettext libtool-ltdl-devel yum setarch which cvs gettext-devel wget ncurses-devel gtk+-devel libX11-devel freetype-devel libpng-devel libtiff-devel libjpeg-devel freeglut-devel giflib-devel libX11-devel curl-devel curl openssl-devel vim-enhanced gstreamer-devel gstreamer-plugins-base-devel gstreamer-plugins-good-devel perl gnome-terminal gimp libxkbui-devel libxkbfile-devel zlib-devel libXp-devel libXdamage-devel libXScrnSaver-devel libxslt-devel libxml2-devel

Requires: libtool-ltdl gettext ncurses gtk+ libX11 freetype libpng libtiff libjpeg freeglut giflib curl curl openssl vim-enhanced gstreamer gstreamer-plugins-base gstreamer-plugins-good perl gnome-terminal gimp libxkbui libxkbfile zlib libXp libXdamage libXScrnSaver libxslt libxml2

#BuildSuggests: xorg-x11-devel, XFree86-devel
#BuildRequires: evas-devel, edje-devel, edje-bin, ecore-devel, eet-devel
#BuildRequires: embryo-devel, embryo-bin
#Requires: evas-module_loader_eet evas-module_saver_eet
#Requires: evas-module_loader_png evas-module_saver_png
#Requires: evas-module_loader_jpeg evas-module_saver_jpeg
#Requires: evas-module_engine_software_x11 evas-module_engine_buffer
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Enlightenment is a window manager.

%prep
%setup -q -n e17
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

# Remove non-compilable modules
rm -rf e_modules/calendar
rm -rf e_modules/devian
rm -rf e_modules/engage
rm -rf e_modules/evolume
rm -rf e_modules/mbar
rm -rf e_modules/deskshow

# Broken or not compiling in general
rm -rf e_modules/bling
rm -rf e_modules/flame
rm -rf e_modules/emu
rm -rf e_modules/language

# Currently broken or not compiling under FC5 x86_64

# Broken or not compiling for YDL 5.0 ppc

cp -v %{SOURCE1} .
./e17.sh $RPM_BUILD_ROOT  # Does make and install for all, passed temp BUILD_ROOT.
mkdir -p $RPM_BUILD_ROOT/usr/local
rsync -aP /usr/local/enlightenment $RPM_BUILD_ROOT/usr/local/
rm -f $RPM_BUILD_ROOT/usr/local/enlightenment/lib/imlib2/loaders/id3.so
rm -f $RPM_BUILD_ROOT/usr/local/enlightenment/lib/imlib2/loaders/id3.a
mkdir -p $RPM_BUILD_ROOT/usr/bin
/usr/bin/install -v -m 755 %{SOURCE2} $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/xsessions
/usr/bin/install -v -m 755 $RPM_BUILD_ROOT/usr/local/enlightenment/share/xsessions/enlightenment.desktop $RPM_BUILD_ROOT/usr/share/xsessions

# Change the "default" "bling-bling" init screen to "bling-bling"
mv $RPM_BUILD_ROOT/usr/local/enlightenment/share/enlightenment/data/init/default.edj $RPM_BUILD_ROOT/usr/local/enlightenment/share/enlightenment/data/init/bling-bling.edj

# Change the "default" "bling-bling" theme to "bling-bling"
mv $RPM_BUILD_ROOT/usr/local/enlightenment/share/enlightenment/data/themes/default.edj $RPM_BUILD_ROOT/usr/local/enlightenment/share/enlightenment/data/themes/bling-bling.edj

# Remove default applications.tar.gz - Provided by another package
rm -f $RPM_BUILD_ROOT/usr/local/enlightenment/share/enlightenment/data/other/applications.tar.gz

%install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
/usr/local/enlightenment
/usr/bin/enlightenment
/usr/share/xsessions/enlightenment.desktop

%changelog
* Fri Jun  8 2007 David Seikel <dseikel@terrasoftsolutions.com> - 
- Backport screensaver stuff.
* Thu Oct  5 2006 Tim Renner <trenner@terrasoftsolutions.com> - 
- Initial build.

